Bug 1574007 - Review Request: golang-github-kardianos-service - Run go programs as a service on major platforms
Summary: Review Request: golang-github-kardianos-service - Run go programs as a servic...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1574006
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 16:29 UTC by Robert-André Mauchin 🐧
Modified: 2018-06-14 18:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-19 21:23:46 UTC
Type: ---
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2018-05-02 16:29:29 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/dnscrypt-proxy/fedora-rawhide-x86_64/00740757-golang-github-kardianos-service/golang-github-kardianos-service.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/dnscrypt-proxy/fedora-rawhide-x86_64/00740757-golang-github-kardianos-service/golang-github-kardianos-service-0-0.1.20180413git615a14e.fc29.src.rpm

Description:
service will install / un-install, start / stop, and run a program as a 
service (daemon). Currently supports Windows XP+, Linux/(systemd | Upstart |
SysV), and OSX/Launchd.

Fedora Account System Username: eclipseo

Comment 2 Jared Smith 2018-05-06 23:37:27 UTC
I have reviewed this package, and it conforms to the Fedora Packaging Guidelines, and is approved.

Comment 3 Gwyn Ciesla 2018-05-08 14:01:26 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-kardianos-service

Comment 4 Fedora Update System 2018-05-09 16:07:03 UTC
golang-github-kardianos-service-0-0.1.20180509git615a14e.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0738500926

Comment 5 Fedora Update System 2018-05-11 01:58:59 UTC
golang-github-kardianos-service-0-0.1.20180509git615a14e.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0738500926

Comment 6 Fedora Update System 2018-05-19 21:23:46 UTC
golang-github-kardianos-service-0-0.1.20180509git615a14e.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-05-26 14:12:53 UTC
golang-github-kardianos-service-0-0.1.20180509git615a14e.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2cc3d14eba

Comment 8 Fedora Update System 2018-05-26 20:36:44 UTC
golang-github-kardianos-service-0-0.1.20180509git615a14e.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2cc3d14eba

Comment 9 Fedora Update System 2018-06-14 18:15:02 UTC
golang-github-kardianos-service-0-0.1.20180509git615a14e.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.